%define	version	3.6.3
%define	release	%mkrel 1
%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Name:		lftp
Version:	%{version}
Release:	%{release}
URL:		http://lftp.yar.ru/			
Group:		Networking/File transfer
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://ftp.yars.free.net/pub/source/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://ftp.yars.free.net/pub/source/%{name}/%{name}-%{version}.tar.bz2.asc
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.0.3-mdkconf.patch
Requires:	less
BuildRequires:	ncurses-devel
BuildRequires:	gnutls-devel
BuildRequires:	readline-devel
BuildRequires:	expat-devel
%if %enable_dante
BuildRequires:	dante-devel
%endif

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%if %enable_dante
Build option:
--with dante	Enable dante support
%endif

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname -d %name %major

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .agent

%build
%configure2_5x \
	--with-included-readline=no \
	--with-modules=yes \
	--with-pager="exec less" \
%if %enable_dante
	--with-socksdante=yes \
%endif

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING FAQ MIRRORS NEWS 
%doc README.* THANKS TODO lftp.lsm BUGS
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/*.so

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la


%changelog
* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 3.6.3-1mdv2008.1
+ Revision: 159600
- New version 3.6.3

* Tue Jan 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6.1-3mdv2008.1
+ Revision: 152321
- own the "%%{_libdir}/lftp/%%{version}" directory

* Sun Jan 13 2008 Funda Wang <fundawang@mandriva.org> 3.6.1-2mdv2008.1
+ Revision: 150859
- rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Funda Wang <fundawang@mandriva.org> 3.6.1-1mdv2008.1
+ Revision: 108711
- New version 3.6.1

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 3.6.0-1mdv2008.1
+ Revision: 100970
- New version 3.6.0

* Tue Sep 04 2007 Funda Wang <fundawang@mandriva.org> 3.5.14-1mdv2008.0
+ Revision: 78930
- New version 3.5.14

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 3.5.13-1mdv2008.0
+ Revision: 76379
- New versino 3.5.13

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 3.5.12-1mdv2008.0
+ Revision: 61987
- New version 3.5.12

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.5.11-3mdv2008.0
+ Revision: 41619
- new devel library policy

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.5.11-2mdv2008.0
+ Revision: 41597
- rebuild for expat
- make use of %%major
- spec file clean

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.11-1mdv2008.0
+ Revision: 16113
- new release


* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.9-2mdv2007.0
+ Revision: 130797
- no need to package big ChangeLog when NEWS is already there

* Thu Feb 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.9-1mdv2007.1
+ Revision: 118080
- add missing file

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 3.5.9

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.5.6-1mdv2007.1
+ Revision: 86839
- Import lftp

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.6-1mdv2007.1
- new release

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.5.1-2mdv2007.0
- Rebuild

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 3.5.1-1mdv2007.0
- New release 3.5.1

* Fri Jun 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.4.7-1mdv2007.0
- New release 3.4.7
- fix macro-in-%%changelog

* Sat Apr 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.4.6-1mdk
- new release

* Sun Apr 16 2006 Jerome Martin <jmartin@mandriva.org> 3.4.4-1mdk
- 3.4.4

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.5-1mdk
- 3.3.5
- drop P4, rather use configure option for choosing pager

* Fri Oct 28 2005 Daouda LO <daouda@mandriva.com> 3.3.3-1mdk
- New release 3.3.3 (Read NEWS file for Changelog details)

* Sun Oct 02 2005 Abel Cheung <deaddog@mandriva.org> 3.3.0-1mdk
- New release 3.3.0
- Drop patch10 (upstream)

* Sat Aug 13 2005 Abel Cheung <deaddog@mandriva.org> 3.2.1-2mdk
- Patch10(upstream): Fix lftp cutting command file buffer with -f option
- Fix Build requirement

* Fri Jun 03 2005 Abel Cheung <deaddog@mandriva.org> 3.2.1-1mdk
- New release
- Drop so-called plf support (forget the broken socks library)
- Switch from openssl to gnutls (usual license problem...)

* Thu Mar 24 2005 Abel Cheung <deaddog@mandriva.org> 3.1.3-1mdk
- New release 3.1.3
- Enable modules

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.13-2mdk
- rebuild for new readline

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.13-1mdk
- 3.0.13

* Thu Dec 09 2004 Daouda LO <daouda@mandrakesoft.com> 3.0.12-1mdk
- new release 3.0.12
  o ftp over http proxies with CONNECT method can now use proxy 
    authorization.
  o fixed delay between connection attempts (broken in 3.0.10).
  (see NEWS for the whole changelog)

* Tue Nov 09 2004 Daouda LO <daouda@mandrakesoft.com> 3.0.11-1mdk
- new release

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.7-1mdk
- new release

* Tue Jun 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.6-1mdk
- 3.0.6

* Wed Jun 02 2004 Abel Cheung <deaddog@deaddog.org> 3.0.5-1mdk
- New version

* Wed May 26 2004 Abel Cheung <deaddog@deaddog.org> 3.0.4-1mdk
- New version
- undef libtoolize

* Tue May 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-2mdk
- patch 1: do not break ls -otr

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 3.0.3-1mdk
- New version
- Drop patch5 (upstream)
- Merge patch2 into revamped patch1
- Convert spec to UTF-8

* Tue Apr 20 2004 Abel Cheung <deaddog@deaddog.org> 3.0.2-2mdk
- Plug memory leak with sftp + mirror (CVS)

* Fri Apr 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.2-1mdk
- 3.0.2

* Fri Apr 09 2004 Abel Cheung <deaddog@deaddog.org> 3.0.1-1mdk
- New release
- Drop patch5 (upstream)

* Sat Apr 03 2004 Abel Cheung <deaddog@deaddog.org> 3.0.0-1mdk
- New major release

